[Overview][Constants][Classes][Index] | Reference for unit 'ezcgi' (#fcl)

# TEZcgi.Variables

Indexed array with variables as name=value pairs.

## Declaration

Source position: ezcgi.pp line 73

`public property TEZcgi.Variables: String read GetVariable;`

## Description

Variables provides indexed access to the available variable names and values. The variables are returned as Name=Value pairs. The Index may run from 0 to VariableCount. Any other value will result in an exception being raised.

## See also

TEZcgi.Names |  | Indexed array with available variable names.
TEZcgi.Values |  | Variables passed to the CGI script
TEZcgi.GetValue |  | Return the value of a request variable.
TEZcgi.VariableCount |  | Number of available variables.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.